% Nerreter, Grundlagen der Elektrotechnik
% Aufgabe 6.31
clc
b2g=180/pi;
disp('Nerreter, Grundlagen der Elektrotechnik');
disp('Lsung der Aufgabe 6.31');
yog=1.014/sqrt(2);
yug=0.996/sqrt(2);
figure;
plot([-2 2], [0 0]); hold on;
xa=-2;
W=10^xa; % normierte Frequenz Omega
Zo=[W-2i W; W W-2i];
Zu=[2*W-1i -1i; -1i 2*W-1i];
Y=inv(Zo)+inv(Zu);
Tu=-Y(2,1)/Y(2,2);
ya=abs(Tu);
for k=1:400
    xn=k/100-2;
    W=10^xn;
    Zo=[W-2i W; W W-2i];
    Zu=[2*W-1i -1i; -1i 2*W-1i];
    Y=inv(Zo)+inv(Zu);
    Tu=-Y(2,1)/Y(2,2);
    yn=abs(Tu);
    if yn<yog & yn>yug & W<1; xgu=xn; end
    if yn<yog & yn>yug & W>1; xgo=xn; end
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
disp(' ');
disp('normierte Grenzfrequenzen'); 
disp(['Omegagu =',sprintf(' %2.4f',10^xgu)]);
disp(['Omegago =',sprintf(' %2.4f',10^xgo)]);
grid;
xlabel('lg(Omega)');
ylabel('Tu');
figure;
plot([-2 2], [0 0]); hold on;
xa=-2;
W=10^xa;
Zo=[W-2i W; W W-2i];
Zu=[2*W-1i -1i; -1i 2*W-1i];
Y=inv(Zo)+inv(Zu);
Tu=-Y(2,1)/Y(2,2);
ya=b2g*angle(Tu);
for k=1:400
    xn=k/100-2;
    W=10^xn;
    Zo=[W-2i W; W W-2i];
    Zu=[2*W-1i -1i; -1i 2*W-1i];
    Y=inv(Zo)+inv(Zu);
    Tu=-Y(2,1)/Y(2,2);
    yn=b2g*angle(Tu);
    plot([xa xn], [ya yn], 'r');
    xa=xn; ya=yn;
end
grid;
xlabel('lg(Omega)');
ylabel('phiu');

